import sqlite3 as sql
from os import path
# this file allows the server to communicate with the database
ROOT = path.dirname(path.relpath((__file__)))

def create_post(name, content):
    # connect to the database
    con = sql.connect(path.join(ROOT, 'database.db'))
    # create cursor, the cursor is like an object that will traverse the databas and find the informatio we need
    cur = con.cursor()
    cur.execute('insert into posts (name, content) values(?, ?)', (name, content))
    con.commit()
    con.close()

def get_posts():
    con = sql.connect(path.join(ROOT, 'database.db'))
    cur = con.cursor()
    cur.execute('select * from posts')
    posts = cur.fetchall()
    return posts
