# !/usr/bin/env python3

from flask import Flask, render_template, request
# flask security
from flask_cors import CORS
from models import create_post, get_posts
import datetime

datetime.datetime.now().time()
time = datetime.datetime.now().time()
# create a server object called app
app = Flask(__name__)

CORS(app)
# set the endpoint to which the request is sent with get and post methods
@app.route('/', methods=['GET', 'POST'])
# define function
def index():

    if request.method == 'GET':
        pass
# if the user want to post on the page (interaction)
# this is creating two fields "name"& "post" for the user to fill in

    if request.method == 'POST':
        name = request.form.get('name')
        post = request.form.get('post')
        create_post(name, post)

# grab all the posts
    posts = get_posts()

    return render_template('index.html', posts=posts)

if __name__ == '__main__':
    app.run(debug=True)
